Bug 43323 - Cannot add Picture to ShapeGroup
Summary: Cannot add Picture to ShapeGroup
Status: RESOLVED FIXED
Alias: None
Product: POI
Classification: Unclassified
Component: HSLF (show other bugs)
Version: 3.0-dev
Hardware: Other other
: P1 normal (vote)
Target Milestone: ---
Assignee: POI Developers List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-09-06 13:35 UTC by Danno Ferrin
Modified: 2007-09-10 09:37 UTC (History)
0 users



Attachments
Add parent to constructor and createSpContainer (1.31 KB, patch)
2007-09-06 13:36 UTC, Danno Ferrin
Details | Diff
Unit Test case (3.22 KB, patch)
2007-09-10 09:37 UTC, Danno Ferrin
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danno Ferrin 2007-09-06 13:35:21 UTC
Picture lacks the constructor assigning a parent object, hence it cannot be
added to a ShapeGroup w/o corrupting the generated ppt
Comment 1 Danno Ferrin 2007-09-06 13:36:14 UTC
Created attachment 20778 [details]
Add parent to constructor and createSpContainer
Comment 2 Yegor Kozlov 2007-09-06 21:24:39 UTC
Thanks for the patch.
Any chance you provide a unit test? 

Yegor
Comment 3 Yegor Kozlov 2007-09-09 00:39:14 UTC
Patch applied. Thanks for it.

Regards,
Yegor
Comment 4 Danno Ferrin 2007-09-10 09:37:54 UTC
Created attachment 20788 [details]
Unit Test case